.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptOperator.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptOperator:

VisualScriptOperator
====================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Variables
----------------

  .. _class_VisualScriptOperator_operator:

- :ref:`Operator<enum_variant_operator>` **operator**

  .. _class_VisualScriptOperator_type:

- :ref:`Type<enum_variant_type>` **type**


Description
-----------

**Input Ports:**

- Data (variant): ``A``

- Data (variant): ``B``

**Output Ports:**

- Data (variant): ``result``

